AddCSLuaFile()

CreateConVar("beds_damagescale", "1", FCVAR_ARCHIVE, "The amount to scale all damage beds take by.", 0)
CreateConVar("beds_timescale", "1", FCVAR_ARCHIVE, "The amount to scale the respawn time by.", 0)

CreateConVar("beds_indoors", "1", FCVAR_ARCHIVE, "Whether to perform indoor checks. If 0, all beds can be used outdoors.", 0, 1)
CreateConVar("beds_indoors_worldonly", "1", FCVAR_ARCHIVE, "Whether to only consider the world when doing indoor checks. If 0, prop made houses can count too.", 0, 1)
CreateConVar("beds_indoors_wallcount", "2", FCVAR_ARCHIVE, "How many walls must be found for the indoor check to pass. Set to 0 to ignore walls.", 0, 4)
CreateConVar("beds_indoors_walldist", "1000", FCVAR_ARCHIVE, "The maximum distance to check for walls during indoor checks.", 1)

CreateConVar("beds_custom_adminonly", "1", FCVAR_ARCHIVE, "Whether custom beds can only be spawned and edited by admins.", 0, 1)


if SERVER then
	util.AddNetworkString("BedMessage")
	
	cvars.AddChangeCallback("beds_custom_adminonly", function(convar, oldval, newval) 
		scripted_ents.GetStored("beds_custom").AdminOnly = tobool(tonumber(newval))
	end)
	
	function BedMessage(ply, str, typ, clr, hint)
		local t = typ or 0
		net.Start("BedMessage")
			net.WriteString(str)
			net.WriteUInt(t, 4)
			net.WriteColor(clr or color_white)
			net.WriteString(hint or "")
		net.Send(ply)
	end
end